# Created by hand, like a real man
# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'signalsciences/version'

Gem::Specification.new do |s|

  s.name        = 'signalsciences'
  s.version     = SignalSciences::VERSION
  s.date        = '2015-06-25'
  s.summary     = "SignalSciences API Client"
  s.description = "Easily interface with the Signal Sciences API for consuming events"
  s.authors     = ["Mike Mackintosh"]
  s.email       = 'm@zyp.io'
  s.homepage    =
    'http://www.signalsciences.com'

  s.license       = 'MIT'

  s.require_paths = ["lib"]
  s.files         = `git ls-files -z`.split("\x0")
  s.executables   = s.files.grep(%r{^bin/}) { |f| File.basename(f) }
  s.test_files    = s.files.grep(%r{^(test|spec|features)/})

  s.add_dependency 'httparty'

  s.add_development_dependency "bundler"
  s.add_development_dependency "rake"
  s.add_development_dependency "rspec"
  s.add_development_dependency "webmock"

end
